package com.luowei.app_sb.mapper;

import com.luowei.app_sb.entity.Person_805Entity;
import com.luowei.app_sb.entity.Person_health_805Entity;
import com.luowei.app_sb.vo.PersonHealthVo;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

@Repository
@Mapper
public interface Person_805Mapper {
    Person_805Entity selectPerson_805(String sfz_id);
    int insertPerson_805(Person_805Entity person_805Entity);
    int updatePerson_805(Person_805Entity person_805Entity);
    //本来下面应该写到独立的Mapper文件中。为了简化写在了一起。
    int insertPerson_health_805(Person_health_805Entity person_health_805Entity);
    //视图查询
    PersonHealthVo selectPersonHealthVo(String sfz_id);
}
